[android-components](../../index.md) / [mozilla.components.concept.storage](../index.md) / [PageObservation](./index.md)

# PageObservation

`data class PageObservation` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/storage/src/main/java/mozilla/components/concept/storage/HistoryStorage.kt#L122)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `PageObservation(title: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`?)` |

### Properties

| Name | Summary |
|---|---|
| [title](title.md) | `val title: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`?` |
